## python-aioswitcher 4.0.2

=== Makefile ===
# Copyright Tomer Figenblat.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

#######################
#### Build targets ####
#######################
build: clean-dist
	poetry build

clean-dist:
	rm -rf ./dist

install: install-all-deps

install-all-deps:
	poetry install --no-interaction

install-docs-only-deps:
	poetry install --no-interaction --without dev

publish: clean-dist # PYPI_TOKEN is required for this target
	poetry publish --build --no-interaction -u __token__ -p $(PYPI_TOKEN)

.PHONY: build dist publish install install-all-deps install-docs-only-deps

#########################
#### Testing targets ####
#########################
test:
	poetry run pytest -v

test-with-coverage:
	poetry run pytest -v --cov --cov-report=term

test-with-coverage-reports:
	poetry run pytest -v --cov --cov-report=xml:coverage.xml --junit-xml junit.xml

test-pypi-publish: clean-dist # requires testpypi configuration for poetry
	poetry publish --build --repository testpypi

.PHONY: test test-with-coverage test-with-coverage-reports test-pypi-publish

#########################
#### Linting targets ####
#########################
lint: black flake8 isort mypy yamllint

lint-with-fix: black-with-fix flake8 isort-with-fix mypy yamllint

black:
	poetry run black --check src/ docs/ scripts/

black-with-fix:
	poetry run black src/ docs/ scripts/

flake8:
	poetry run flake8 src/ tests/ docs/ scripts/

isort:
	poetry run isort --check-only src/ tests/ docs/ scripts/

isort-with-fix:
	poetry run isort src/ tests/ docs/ scripts/

mypy:
	poetry run mypy src/ scripts/

yamllint:
	poetry run yamllint --format colored --strict .

.PHONY: lint black black-with-fix flake8 isort isort-with-fix mypy yamllint

###############################
#### Documentation targets ####
###############################
docs-clean:
	rm -rf ./site

docs-build:
	poetry run mkdocs build --strict

docs-serve:
	poetry run mkdocs serve

.PHONY: docs-build docs-serve

=== requirements.txt ===
poetry==1.5.1

=== debian/changelog ===
python-aioswitcher (4.0.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No change source-only upload.

 -- Boyuan Yang <byang@debian.org>  Mon, 03 Mar 2025 11:36:33 -0500

python-aioswitcher (4.0.2-1) unstable; urgency=medium

  * Initial release. (Closes: #1079822)

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Aug 2024 23:03:00 +0200

=== debian/control ===
Source: python-aioswitcher
Section: python
Priority: optional
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 pybuild-plugin-pyproject,
 python3-all,
 python3-poetry-core,
 python3-setuptools,
Build-Depends-Indep:
 python3-aiohttp,
 python3-assertpy,
 python3-freezegun,
 python3-pycryptodome,
 python3-pytest,
 python3-pytest-asyncio,
 python3-pytest-cov,
 python3-pytest-resource-path,
 python3-pytest-sugar,
 python3-time-machine,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-aioswitcher
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-aioswitcher.git
Homepage: https://github.com/TomerFi/aioswitcher

Package: python3-aioswitcher
Architecture: all
Depends:
 python3-aiohttp,
 python3-pycryptodome,
 ${misc:Depends},
 ${python3:Depends},
Description: Switcher Python Integration
 This package provides integration with the Switcher API. I can handle many
 devices, such as: Switcher V2, Switcher Mini, Switcher Touch (V3),
 Switcher V4, Switcher Power Plug, Switcher Breeze, Switcher Runner, Switcher
 Runner Mini, Switcher Runner S11.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/TomerFi/aioswitcher.git
include /usr/share/openstack-pkg-tools/pkgos.make

export PYBUILD_TEST_ARGS=-v tests --ignore tests/test_schedule_parser.py -k 'not test_minutes_to_hexadecimal_seconds_with_a_negative_value_should_throw_an_error and not test_current_timestamp_to_hexadecimal_with_errornous_value_should_throw_an_error'

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_fixperms:
	dh_fixperms
	chmod -x $(CURDIR)/debian/python3-aioswitcher/usr/lib/python3/dist-packages/aioswitcher/__init__.py

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" https://github.com/TomerFi/aioswitcher refs/tags/(\d[brc\d\.]+)

## python-aioswitcher 6.0.3

=== requirements.txt ===
poetry==2.0.1

=== debian/changelog ===
python-aioswitcher (6.0.3-1) unstable; urgency=medium

  * New upstream release. (Closes: #1123188)
  * Refresh Cryptodome patch.
  * Add my name to copyright and uploaders.
  * Switch to using dh-sequence-python3.
  * Switch to autopkgtest-pkg-pybuild.
  * Upstream needs pytz for tests.
  * Add <!nocheck> to test dependencies.
  * Remove 'Priority: optional', now the default.
  * Update Standards-Version.
  * Update debian/watch to format version 5.
  * Pass --no-cov to pytest to avoid generating the coverage report.
  * Add debian/salsa-ci.yml.

 -- Edward Betts <edward@4angle.com>  Sat, 10 Jan 2026 09:51:11 +0000

=== debian/control ===
--- 
+++ 
@@ -1,31 +1,33 @@
 Source: python-aioswitcher
 Section: python
-Priority: optional
 Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
+ Edward Betts <edward@4angle.com>,
 Build-Depends:
  debhelper-compat (= 11),
- dh-python,
+ dh-sequence-python3,
  openstack-pkg-tools,
  pybuild-plugin-pyproject,
  python3-all,
  python3-poetry-core,
  python3-setuptools,
 Build-Depends-Indep:
- python3-aiohttp,
- python3-assertpy,
- python3-freezegun,
- python3-pycryptodome,
- python3-pytest,
- python3-pytest-asyncio,
- python3-pytest-cov,
- python3-pytest-resource-path,
- python3-pytest-sugar,
- python3-time-machine,
-Standards-Version: 4.6.1
+ python3-aiohttp <!nocheck>,
+ python3-assertpy <!nocheck>,
+ python3-freezegun <!nocheck>,
+ python3-pycryptodome <!nocheck>,
+ python3-pytest <!nocheck>,
+ python3-pytest-asyncio <!nocheck>,
+ python3-pytest-cov <!nocheck>,
+ python3-pytest-resource-path <!nocheck>,
+ python3-pytest-sugar <!nocheck>,
+ python3-pytz <!nocheck>,
+ python3-time-machine <!nocheck>,
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-aioswitcher
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-aioswitcher.git
+Testsuite: autopkgtest-pkg-pybuild
 Homepage: https://github.com/TomerFi/aioswitcher
 
 Package: python3-aioswitcher

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/TomerFi/aioswitcher.git
include /usr/share/openstack-pkg-tools/pkgos.make

export PYBUILD_TEST_ARGS=tests --no-cov --ignore=tests/test_schedule_parser.py -k "not test_seconds_to_iso_time_with_a_nagative_value_should_throw_an_error"

%:
	dh $@ --buildsystem=pybuild

override_dh_fixperms:
	dh_fixperms
	chmod -x $(CURDIR)/debian/python3-aioswitcher/usr/lib/python3/dist-packages/aioswitcher/__init__.py

=== debian/watch ===
Version: 5

Template: Github
Owner: TomerFi
Project: aioswitcher
